Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Equality Comparator - RG350820

Description

This block implements an equality comparator function and provides both non-inverted and inverted outputs. Input 1 (x) and Input 2 (y) accept a value from -100% to +100%.  The Window (w) accepts a value from 0% to 100%.

If magnitude (Input 1 - Input 2) >= Window then the output is false.

If magnitude (Input 1 - Input 2) < Window then the output is true.

Input 2 and Window are persistent.

Parameters

Input 1 (x)	Input 1 of the comparator.  Expects a value (-100% to +100%).

Input 2 (y)	Input 2 of the comparator.  Expects a value (-100% to +100%).

Window (w)	Window input to the comparator.  Expects a value (0% to +100%).

Get Input 1	Returns the current value of  Input 1:  -100% to +100%.

Get Input 2	Returns the current value of  Input 2:  -100% to +100%.

Get Window	Returns the current value of Window:  0% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.


Description

This block implements an equality comparator function and provides both non-inverted and inverted outputs. Input 1 (x) and Input 2 (y) accept a value from -100% to +100%.  The Window (w) accepts a value from 0% to 100%.

If magnitude (Input 1 - Input 2) >= Window then the output is false.

If magnitude (Input 1 - Input 2) < Window then the output is true.

Input 2 and Window are persistent.


Parameters

Input 1 (x)	Input 1 of the comparator.  Expects a value (-100% to +100%).

Input 2 (y)	Input 2 of the comparator.  Expects a value (-100% to +100%).

Window (w)	Window input to the comparator.  Expects a value (0% to +100%).

Get Input 1	Returns the current value of  Input 1:  -100% to +100%.

Get Input 2	Returns the current value of  Input 2:  -100% to +100%.

Get Window	Returns the current value of Window:  0% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.